#include<bits/stdc++.h>
using namespace std;
const int N=3e5+5;
int T,n,Q;
long long a[N],b[N];
int main(){
	freopen("match.in","r",stdin);
	freopen("match.out","w",stdout);
	scanf("%d%d", &T ,&n);
	for(int i = 1; i <= n; i++) scanf("%lld", &a[i]);
	for(int i = 1; i <= n; i++) scanf("%lld", &b[i]);
	scanf("%d", &Q);
	while(Q--){
		int l,r;
		scanf("%d%d", &l, &r);
		long long ret=0;
		for(int p = l; p <= r; p++){
			long long mx1=0,mx2=0;
			for(int q = p; q <= r; q++){
				mx1=max(mx1,a[q]);mx2=max(mx2,b[q]);
				ret+=mx1*mx2;
			}
		}
		printf("%lld\n", ret);
	}
	return 0;
}